local addon, db = ...

if db.SV.DONT_SELL_JUNK then return end

db.Register(function (self)
	for bag = 0, NUM_BAG_SLOTS do
		for slot = 1, GetContainerNumSlots(bag) do
			local link = GetContainerItemLink(bag, slot)
			local quality = link and select(3, GetItemInfo(link))
			if quality == 0 then
				UseContainerItem(bag, slot)
			end
		end
	end
	return true
end, "MERCHANT_SHOW")
